unit MainUnitLazfm3;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  ShellCtrls, StdCtrls, ShellImageList, lazfmShellCtrls, lfmosfuncwin,
  lfmosfuncnix;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    ShellTreeView1: TShellTreeView;
  private
    { private declarations }
    mPanel: TPanel;                      // m.. = manually created Object
    mShellImageList: TShellImageList;
    mShellTreeView: TShellTreeView;
    mSplitter: TSplitter;
    mShellListView: TShellListView;
  public
    { public declarations }
    constructor Create(AOwner: TComponent); override;
  end;

var
  Form1: TForm1;


implementation

{$R *.lfm}

constructor TForm1.Create(AOwner: TComponent);
begin
  inherited;

  mPanel:= TPanel.Create( Self);
  mPanel.Parent:= Self;
  mPanel.Align:= alLeft;
  mPanel.Width:= 300;


  mShellImageList:= TShellImageList.Create( Self);

  mShellTreeView:= TShellTreeView.Create( Self);
  mShellTreeView.Parent:= mPanel;
  mShellTreeView.Align:= alTop;
  mShellTreeView.Height:= 250;
  mShellTreeView.ImageList:= mShellImageList;
  //mShellTreeView.OnExpanding:= ?

  mSplitter:= TSplitter.Create( Self);
  mSplitter.Parent:= mPanel;
  mSplitter.Align:= alTop;
  mSplitter.Top:= 1;   // whyever, this moves the Splitter below ShellTreeView1

  mShellListView:= TShellListView.Create( Self);
  mShellListView.Parent:= mPanel;
  mShellListView.Align:= alClient;

  // now sync ListView with TreeView:
  mShellTreeView.ShellListView:= mShellListView;
end;


end.

